From: Mikulas Patocka <mpatocka@redhat.com>

Publish dm_table_unplug_all in include/linux/device-mapper.h because this
function is used by targets.

Signed-off-by: Mikulas Patocka <mpatocka@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm.h               |    1 -
 include/linux/device-mapper.h |    5 +++++
 2 files changed, 5 insertions(+), 1 deletion(-)

Index: linux-2.6.27/drivers/md/dm.h
===================================================================
--- linux-2.6.27.orig/drivers/md/dm.h	2008-10-10 12:21:39.000000000 +0100
+++ linux-2.6.27/drivers/md/dm.h	2008-10-10 12:21:40.000000000 +0100
@@ -46,7 +46,6 @@ void dm_table_presuspend_targets(struct 
 void dm_table_postsuspend_targets(struct dm_table *t);
 int dm_table_resume_targets(struct dm_table *t);
 int dm_table_any_congested(struct dm_table *t, int bdi_bits);
-void dm_table_unplug_all(struct dm_table *t);
 
 /*
  * To check the return value from dm_table_find_target().
Index: linux-2.6.27/include/linux/device-mapper.h
===================================================================
--- linux-2.6.27.orig/include/linux/device-mapper.h	2008-10-10 12:21:39.000000000 +0100
+++ linux-2.6.27/include/linux/device-mapper.h	2008-10-10 12:21:40.000000000 +0100
@@ -238,6 +238,11 @@ int dm_table_add_target(struct dm_table 
 int dm_table_complete(struct dm_table *t);
 
 /*
+ * Unplug all devices in a table.
+ */
+void dm_table_unplug_all(struct dm_table *t);
+
+/*
  * Table reference counting.
  */
 struct dm_table *dm_get_table(struct mapped_device *md);
